@import "../../../assets/styles/main.scss";

.oneEsimDetailsContainer {
  color: #000000;
  display: grid;
  grid-template-rows: 32px 32px 1fr;
  gap: 24px;
  height: 100%;

  @include xl {
    gap: 22px;
  }

  .backToPlaneButton {
    button {
      @include transition-3s;
      padding: 9px 14px;
      font-size: 12px;
      line-height: 14.52px;
      cursor: pointer;
      border: none;
      text-align: center;
      border-radius: 5px;
      display: flex;
      flex-direction: row;
      gap: 6px;
      align-items: center;
      justify-content: center;
      border: 1px solid #000000;
      background: getColorHex("white");
      color: getColorHex("black");

      @include md {
        padding: 7px 12px;
        font-size: 10px;
        line-height: 12.52px;
      }

      &:hover {
        //   background-color: getColorHex("orange");
        //   border: 1px solid getColorHex("orange");

        //   color: getColorHex("white");
      }
      span {
        padding-top: 1px;
      }
    }
  }

  .esimNameTag {
    p {
      white-space: pre;
      @include inter700;
      font-size: 16px;
      line-height: 32px;
      letter-spacing: 0.20000000298023224px;
      text-align: left;
      color: #000000;

      @include xl {
        font-size: 14px;
        line-height: 30px;
      }
    }
  }

  .alldetialsWithQr {
    display: grid;
    grid-template-columns: 1fr 254px;
    gap: 10px;
    height: 100%;

    @include xl {
      grid-template-columns: 1fr 240px;
      gap: 8px;
    }

    @include lg {
      grid-template-columns: 1fr 200px;
      gap: 8px;
    }

    .alldetialsWithQrLeft {
      background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
      border-radius: 10px;
      padding: 15px;
      height: 100%;

      @include xl {
        padding: 12px;
      }

      .alldetialsWithQrLeftChild {
        border-radius: 6px;
        padding: 25px;
        background: #ffffff;
        height: 100%;

        @include xl {
          padding: 22px;
        }

        @include lg {
          padding: 18px;
        }

        .myEsimQrCode {
          background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
          border-radius: 10px;
          padding: 27px;

          @include xl {
            padding: 24px;
          }

          .myEsimQrCodeImage {
            margin: 0 auto;
            height: 151px;
            width: 151px;

            @include xl {
              height: 140px;
              width: 140px;
            }
          }
        }

        .iccidCard {
          padding: 12px 0 0 0;
          display: flex;
          flex-direction: column;
          gap: 10px;
          position: relative;

          @include xl {
            padding: 10px 0 0 0;
            gap: 18px;
          }

          .transparentRound {
            height: 20px;
            width: 20px;
            border-radius: 50%;
            z-index: 9999;
            position: absolute;
            bottom: -10px;
            left: -10px;
            background: #ffebd1;

            @include xl {
              height: 18px;
              width: 18px;
            }

            &.left {
              right: -10px;
              left: unset;
              background: #fcb8a1;

              @include xl {
                right: -8px;
              }
            }
          }

          &:first-child {
            border-bottom: 2px dotted #c9c9c9;
          }

          .iccidCardInner {
            background: linear-gradient(
              270.22deg,
              #f7f7f7 27.85%,
              #f4f4f4 44.76%,
              #e9e9e9 58.4%
            );

            box-shadow: 0px 0px 9.8px 0px #d2d2d275;
            border: 2px solid #ffffff;
            padding: 11px;
            display: grid;
            grid-template-columns: 30px 1fr;
            gap: 10px;
            border-radius: 10px;

            @include xl {
              padding: 10px;
              grid-template-columns: 26px 1fr;
              gap: 8px;
            }

            .myPlanactiveIconBack {
              background-color: #ffffff;
              border-radius: 5px;
              padding: 5px;
              height: 30px;
              width: 30px;
              margin: auto 0;
              @include vertical_align_center;

              @include xl {
                height: 26px;
                width: 26px;
              }

              img {
                height: 100%;
                width: 100%;
              }
            }

            .detaisSectionCombaine {
              display: flex;
              flex-direction: row;
              justify-content: space-between;
              align-items: center;
              gap: 10px;

              .detaisSection {
                display: flex;
                flex-direction: column;
                gap: 4px;
                justify-content: center;

                h4 {
                  font-size: 9px;
                  line-height: 10.89px;
                  text-align: left;
                  color: #686868;

                  @include lg {
                    font-size: 8px;
                    line-height: 10.1px;
                  }
                }

                p {
                  font-size: 12px;
                  line-height: 14.52px;
                  text-align: left;
                  color: #000000;
                  word-break: break-word;

                  @include lg {
                    font-size: 10px;
                    line-height: 12.1px;
                  }
                }
              }
            }
            svg {
              cursor: pointer;
            }
          }

          .middleLine {
            border-bottom: 2px dotted #c9c9c9;
          }
        }
      }
    }

    .updateHideButtonConatiner {
      display: flex;
      flex-direction: column;
      gap: 8px;

      .updateHideButton {
        padding: 10px;
        display: flex;
        gap: 10px;
        align-items: center;
        border-radius: 8px;
        cursor: pointer;
        background: #f475001a;
        border: 1px solid #f47500;

        &.yellowButton {
          background: #ffd6001a;
          border: 1px solid #ffd600;
        }

        &.blueButton {
          background: #0085ff1a;
          border: 1px solid #0085ff;
        }

        &.greyButton {
          background: #f6f6f6;
          border: 1px solid #eeeeee;
        }
        img {
          height: 20px;
          width: 20px;

          @include xl {
            height: 18px;
            width: 18px;
          }
        }

        p {
          font-size: 12px;
          line-height: 14.52px;
          text-align: left;
          color: #000000;

          @include xl {
            font-size: 10px;
            line-height: 12.52px;
          }
        }
      }
    }
  }
}
